WCS_COMPARE_GRIDS_2D(3)

EXPERIMENTAL_FUNC
wcs_compare_grids_2D - Compare if two images have the same world co-ordinate grid.

SYNOPSIS
#include <karma_wcs.h>

flag wcs_compare_grids_2D

(KwcsAstro ap1, CONST dim_desc *hd1, CONST dim_desc *vd1, unsigned int num_restr1, CONST char **restr_names1, CONST double *restr_values1, KwcsAstro ap2, CONST dim_desc *hd2, CONST dim_desc *vd2, unsigned int num_restr2, CONST char **restr_names2, CONST double *restr_values2, flag *same)

DESCRIPTION
Compare if two images have the same world co-ordinate grid.

ap1 The KwcsAstro object for the first image.

hd1 The horizontal dimension of the first image.

vd1 The vertical dimension of the first image.

ap2 The KwcsAstro object for the second image.

hd2 The horizontal dimension of the second image.

vd2 The vertical dimension of the second image.

same
    TRUE is written here if the grids are the same, else FALSE is written here.

RETURN VALUE
TRUE on success, else FALSE, indicating that comparison failed.

Multi-threading Level
Unsafe.

AUTHOR
Richard Gooch (rgooch@atnf.csiro.au)

AVAILABLITY
The Karma Distribution is available for anonymous ftp from: ftp://ftp.atnf.csiro.au/pub/software/karma/ ftp://wuarchive.wustl.edu/graphics/graphics/packages/karma/ ftp://ftp.pwr.wroc.pl/pub/karma/ The Karma Home Page is: http://www.atnf.csiro.au/karma/